# AstroLib for Ruby

This is a port of [mhuss.com/AstroLib](http://mhuss.com/AstroLib/) from Java to Ruby.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'astrolib'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install astrolib

## Usage

Use it like you would the original. But in your Ruby project.

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake spec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://bitbucket.org/janlindblom/ruby-astrolib. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](http://contributor-covenant.org) code of conduct.

## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).

## Code of Conduct

Everyone interacting in the ruby-astrolib project’s codebases, issue trackers, chat rooms and mailing lists is expected to follow the [code of conduct](https://bitbucket.org/janlindblom/ruby-astrolib/blob/master/CODE_OF_CONDUCT.md).
